{
  lib,
  python,
  nix-gitignore,
  runDependencies,
  testDependencies,
}:

python.pkgs.buildPythonPackage {
  name = "cinematinator";
  version = "0";

  src = nix-gitignore.gitignoreSource [] ./.;

  propagatedBuildInputs = runDependencies python.pkgs;
  checkInputs = testDependencies python.pkgs;

  checkPhase = ''
    black --check .
    isort --recursive --check-only .
    mypy --strict cinematinator
  '';
}
